# Generated from flann-1.8.4.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name flann

Name: rubygem-%{gem_name}
Version: 1.8.4.2
Release: 1%{?dist}
Summary: Ruby interface for FLANN, approximate nearest neighbors methods in C
License: BSD 2-clause
URL: http://www.cs.ubc.ca/research/flann/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rspec-longrun)
# BuildRequires: rubygem(pry)
BuildArch: noarch

%description
Ruby interface for FLANN, approximate nearest neighbors methods in C.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/Manifest.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/flann.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 1.8.4.2-1
- Initial package
